#!/usr/bin/env python

import os
import re

def get_all_clients():
    """ Returns names of all active clients from the bacula client directory as a list.
    """
    clients = []
    nameExp = re.compile('Client.*{[\\s]*Name[\\s]*=[\\s]*([\\w\\-\\.]+)')
    root = '/etc/bacula/client.d'
    for item in os.listdir(root):
        if item.endswith('.conf'):
            path = os.path.join(root, item)
            with open(path, 'r') as conf:
                name = nameExp.search(conf.read()).group(1)
                clients.append(name)
    clients.sort()
    return clients


if __name__ == '__main__':
    clients = get_all_clients()
    for client in clients:
        print(client)
